Bug 20595 - EDI: Add support for LRP (Library Rotation Plan) for Koha with Stock Rotation enabled
Summary: EDI: Add support for LRP (Library Rotation Plan) for Koha with Stock Rotation...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords: Manual
Depends on: 7736 11897 14187 18137
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-17 14:25 UTC by Martin Renvoize
Modified: 2019-11-20 10:57 UTC (History)
15 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement allows items to be automatically added to rotas at acquisition time by using the LRP (Library Rotation Plan) field in EDI.
Version(s) released in:
19.11.00


Attachments
Bug 20595: Add handling for LRP field in EDI. (1.49 KB, patch)
2018-04-17 16:18 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20595: Add handling for LRP field in EDI. (1.93 KB, patch)
2018-04-18 15:42 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20595: Add handling for LRP field in EDI. (2.37 KB, patch)
2018-04-18 15:43 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20595: Add handling for LRP field in EDI. (2.35 KB, patch)
2018-04-18 16:00 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20595: Add handling for LRP field in EDI. (2.35 KB, patch)
2018-04-18 16:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20595: Add handling for LRP field in EDI. (2.42 KB, patch)
2019-10-04 08:54 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 20595: Add handling for LRP field in EDI (2.47 KB, patch)
2019-10-10 05:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2018-04-17 14:25:17 UTC
This submission will add the support for the Edifact LRP field in Koha, using the field to automatically add ordered items to stock rotation plans.
Comment 1 Martin Renvoize 2018-04-17 16:18:48 UTC
Created attachment 74363 [details] [review]
Bug 20595: Add handling for LRP field in EDI.

* EDI.pm - Add handling of the LRP EDI field to automatically add an
item to a stockrotation rota.
Comment 2 Martin Renvoize 2018-04-18 15:42:10 UTC
Created attachment 74452 [details] [review]
Bug 20595: Add handling for LRP field in EDI.

* EDI.pm - Add handling of the LRP EDI field to automatically add an
item to a stockrotation rota.
Comment 3 Martin Renvoize 2018-04-18 15:43:53 UTC
Created attachment 74453 [details] [review]
Bug 20595: Add handling for LRP field in EDI.

* EDI.pm - Add handling of the LRP EDI field to automatically add an
item to a stockrotation rota.
Comment 4 Martin Renvoize 2018-04-18 16:00:08 UTC
Created attachment 74455 [details] [review]
Bug 20595: Add handling for LRP field in EDI.

* EDI.pm - Add handling of the LRP EDI field to automatically add an
item to a stockrotation rota.
Comment 5 Martin Renvoize 2018-04-18 16:22:18 UTC
Created attachment 74471 [details] [review]
Bug 20595: Add handling for LRP field in EDI.

* EDI.pm - Add handling of the LRP EDI field to automatically add an
item to a stockrotation rota.
Comment 6 Hayley Mapley 2019-04-17 04:06:44 UTC
(In reply to Martin Renvoize from comment #5)
> Created attachment 74471 [details] [review] [review]
> Bug 20595: Add handling for LRP field in EDI.
> 
> * EDI.pm - Add handling of the LRP EDI field to automatically add an
> item to a stockrotation rota.

Hi,

Is there a test plan for this?
Comment 7 Martin Renvoize 2019-05-07 09:33:43 UTC
This one is rather challenging to test unless you already have a vendor who support both EDI and is happy to add the LRP flag to your EDI messages to match an existing Stock Rotation code in your koha.
Comment 8 Brendan Gallagher 2019-10-04 08:54:27 UTC
Created attachment 93718 [details] [review]
Bug 20595: Add handling for LRP field in EDI.

* EDI.pm - Add handling of the LRP EDI field to automatically add an
item to a stockrotation rota.

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 9 Katrin Fischer 2019-10-10 05:59:56 UTC
Created attachment 93948 [details] [review]
Bug 20595: Add handling for LRP field in EDI

* EDI.pm - Add handling of the LRP EDI field to automatically add an
item to a stockrotation rota.

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2019-10-10 06:00:28 UTC
Passing QA on this as agreed with RM - both parties heavily using EDIFACT have
been involved in the QA process. Tests and QA script pass.
Comment 11 Martin Renvoize 2019-10-28 09:58:35 UTC
Nice work!

Pushed to master for 19.11.00